io.undertow.server.handlers.form

## Class FormData

- java.lang.Object
- - io.undertow.server.handlers.form.FormData

All Implemented Interfaces:
  Iterable<String>

    public final class FormData
    extends Object
    implements Iterable<String>

Representation of form data.

TODO: add representation of multipart data

### Nested Class Summary

Nested Classes
`static class` `FormData.FileItem`
`static interface` `FormData.FormValue`

### Constructor Summary

Constructors
Constructor and Description
`FormData(int maxValues)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(String name, byte[] value, String fileName, HeaderMap headers)`
`void` `add(String name, Path value, String fileName, HeaderMap headers)`
`void` `add(String name, String value)`
`void` `add(String name, String value, HeaderMap headers)`
`void` `add(String name, String value, String charset, HeaderMap headers)`
`boolean` `contains(String name)`
`boolean` `equals(Object o)`
`Deque<FormData.FormValue>` `get(String name)`
`FormData.FormValue` `getFirst(String name)`
`FormData.FormValue` `getLast(String name)`
`int` `hashCode()`
`Iterator<String>` `iterator()`
`void` `put(String name, String value, HeaderMap headers)`
`Deque<FormData.FormValue>` `remove(String name)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### FormData

    public FormData(int maxValues)

### Method Detail

#### iterator

    public Iterator<String> iterator()

Specified by:
  `iterator` in interface `Iterable<String>`

#### getFirst

    public FormData.FormValue getFirst(String name)

#### getLast

    public FormData.FormValue getLast(String name)

#### get

    public Deque<FormData.FormValue> get(String name)

#### add

    public void add(String name,
                    byte[] value,
                    String fileName,
                    HeaderMap headers)

#### add

    public void add(String name,
                    String value)

#### add

    public void add(String name,
                    String value,
                    HeaderMap headers)

#### add

    public void add(String name,
                    String value,
                    String charset,
                    HeaderMap headers)

#### add

    public void add(String name,
                    Path value,
                    String fileName,
                    HeaderMap headers)

#### put

    public void put(String name,
                    String value,
                    HeaderMap headers)

#### remove

    public Deque<FormData.FormValue> remove(String name)

#### contains

    public boolean contains(String name)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`